org.jboss.resteasy.spi

## Class InternalServerErrorException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.jboss.resteasy.spi.Failure
        - - org.jboss.resteasy.spi.LoggableFailure
          - - org.jboss.resteasy.spi.InternalServerErrorException

- All Implemented Interfaces:
    Serializable

      public class InternalServerErrorException
      extends LoggableFailure

  Thrown by RESTEasy when HTTP Internal Service Error (500) is encountered
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jboss.resteasy.spi.Failure

      `errorCode, loggable, response`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InternalServerErrorException(String s)`
    `InternalServerErrorException(String s, Response response)`
    `InternalServerErrorException(String s, Throwable throwable)`
    `InternalServerErrorException(String s, Throwable throwable, Response response)`
    `InternalServerErrorException(Throwable throwable)`
    `InternalServerErrorException(Throwable throwable, Response response)`

  - ### Method Summary

    - ### Methods inherited from class org.jboss.resteasy.spi.Failure

      `getErrorCode, getResponse, isLoggable, setErrorCode, setLoggable, setResponse`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InternalServerErrorException

          public InternalServerErrorException(String s)

    - #### InternalServerErrorException

          public InternalServerErrorException(String s,
                                      Response response)

    - #### InternalServerErrorException

          public InternalServerErrorException(String s,
                                      Throwable throwable,
                                      Response response)

    - #### InternalServerErrorException

          public InternalServerErrorException(String s,
                                      Throwable throwable)

    - #### InternalServerErrorException

          public InternalServerErrorException(Throwable throwable)

    - #### InternalServerErrorException

          public InternalServerErrorException(Throwable throwable,
                                      Response response)

Copyright © 2014. All Rights Reserved.